Subject: RE: The Law... Definition of Derivative Claims...

From: [email-masked]
Date: Thu, 19 Jan 2006 20:53:03 +0000

The key issue is in not allowing people to interpret anything including the staff of this WG - everything ***MUST*** be totally spelled out.

todd
 -------------- Original message ----------------------
From: "Lawrence Rosen" <[email-masked]>
> > > To the extent that copying an expressive piece of code is necessary 
> > > for an implementation of a functional protocol in a 
> > published standard 
> > > that we
> > > *intend* to be implemented, copyright can't prevent the 
> > copying. This 
> > > is based on the "merger doctrine," as expressed in the 
> > section of the 
> > > Copyright Act that Harald previously referenced. And when a 
> > change to 
> > > that code is required in order to achieve a functional result, that 
> > > change can't be prevented based on an exclusive right to 
> > create derivative works.
> > 
> > Interesting.  How much modifications are permitted?  If what 
> > you say is true, it seems third parties already have some 
> > leeway to argue that they have the right to incorporate ASN.1 
> > schemas and make modifications to them, regardless of the 
> > IETF outbound copying conditions.
> 
> I do not suggest that we live with implied rights based on the merger
> doctrine. We should make our rules explicit. That way your question ["How
> much modifications are permitted?"] won't have to be analyzed by everyone
> who wants to implement our specifications.
> 
> My note was merely intended to suggest that Todd is quite wrong when he
> asserts that the exclusive right of authors to create derivative works
> automatically makes IETF specifications unavailable for implementation and
> modification. 
> 
> /Larry
> 
> Lawrence Rosen
> Rosenlaw & Einschlag, technology law offices (www.rosenlaw.com)
> Stanford University School of Law, Lecturer in Law
> 3001 King Ranch Road, Ukiah, CA 95482
> 707-485-1242  *  fax: 707-485-1243
> Author of "Open Source Licensing: Software Freedom and 
>    Intellectual Property Law" (Prentice Hall 2004) 
>    [Available also at www.rosenlaw.com/oslbook.htm]
>  
>  
> 
> > -----Original Message-----
> > From: Simon Josefsson [mailto:[email-masked]] 
> > Sent: Thursday, January 19, 2006 12:52 AM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: Re: The Law... Definition of Derivative Claims...
> > 
> > "Lawrence Rosen" <[email-masked]> writes:
> > 
> > > To the extent that copying an expressive piece of code is necessary 
> > > for an implementation of a functional protocol in a 
> > published standard 
> > > that we
> > > *intend* to be implemented, copyright can't prevent the 
> > copying. This 
> > > is based on the "merger doctrine," as expressed in the 
> > section of the 
> > > Copyright Act that Harald previously referenced. And when a 
> > change to 
> > > that code is required in order to achieve a functional result, that 
> > > change can't be prevented based on an exclusive right to 
> > create derivative works.
> > 
> > Interesting.  How much modifications are permitted?  If what 
> > you say is true, it seems third parties already have some 
> > leeway to argue that they have the right to incorporate ASN.1 
> > schemas and make modifications to them, regardless of the 
> > IETF outbound copying conditions.
> > 
> > Making those rights clear is still useful, of course, because 
> > it will educate IETF participants how their documents will 
> > likely be used.
> > 
> > Regards,
> > Simon
> 
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: "Kieran Power" <[email-masked]>
Date: Wed, 25 Jan 2006 15:05:47 +1100

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Contreras, Jorge
Sent: Wednesday, 25 January 2006 2:23 PM
To: [email-masked]; [email-masked]
Subject: RE: The Law... Definition of Derivative Claims...

  >I agree that the IETF's procedures regarding outbound
  >license rights need to be clearer.  However, I don't agree
  >with Larry's argument that the copyright "merger" doctrine
  >automatically negates the copyright in standards documents that
  >are intended to be implemented.  That position is certainly 
  >advantageous to the open source movement, but is not, in my view,
  >a settled or generally-accepted principle of law.  Copyright 
  >be executed.  There is no reason why protocols and code embedded
  >in standards should not also have the same level of copyright
  >protection.

[Kieran Power] There is in fact a very good legal reason why protocols
and code embedded in a standard may NOT have the same level of
copyright. What you have to keep in mind is that copyright subsists in
the standard (document) as a whole and generally not the individual
parts, such as a fragment of code, that make up the entire standard. If
for instance a standard was by and large a text based description of a
particular protocol and included only a few lines of code (pseudo or
otherwise), there is a very real chance that use of that code from the
standard may not in fact breach the copyright in the standard.  

  >Larry claims that this interpretation would give copyright 
  >"way too much power to control technology".  This, however,   
  >is a policy argument,
  >not a legal argument.  I am not aware that courts have yet
  >adopted this limiting view of copyright. 

  >This being said, I also disagree with Todd's position that
  >every implementation of a standard constitutes a derivative
  >work of the text of the standard.  Copyright only protects
  >text, not the ideas described by text (which are protectable
  >by patent).

  >Given this level of disagreement on the basic legal principles
  >that apply, it is doubly important that the language of the
  >IETF's IPR policies be as clear as possible.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf
Of Lawrence Rosen
Sent: Wednesday, January 18, 2006 7:37 PM
To: [email-masked]
Subject: RE: The Law... Definition of Derivative Claims...

> I am asserting that derivative rights are needed to republish 
> in any excerpted form other than as the 'whole enchiladas'... 
> And that if a version of the protocol is implemented using 
> those mnemonics and notations, that it will indeed violate 
> the copyright against that.

To the extent that copying an expressive piece of code is necessary for
an
implementation of a functional protocol in a published standard that we
*intend* to be implemented, copyright can't prevent the copying. This is
based on the "merger doctrine," as expressed in the section of the
Copyright
Act that Harald previously referenced. And when a change to that code is
required in order to achieve a functional result, that change can't be
prevented based on an exclusive right to create derivative works.

That would give long-term copyright way too much power to control
technology. The law doesn't countenance that. If you want your software
ideas not to be copied and evolved, either keep them secret or patent
them;
don't expect copyright law to help you.

IETF's current procedures for in-bound and out-bound IP are not clear
about
this. That's why I'm delighted that this working group is trying to
clean up
those procedures.

/Larry

Lawrence Rosen